OpenSSL “NETSCAPE_REUSE_CIPHER_CHANGE_BUG” titkosítás leminősítéses sérülékenység

CH azonosító

CH-4010

Angol cím

OpenSSL "NETSCAPE_REUSE_CIPHER_CHANGE_BUG" Ciphersuite Downgrade Vulnerability

Felfedezés dátuma

2010.12.02.

Súlyosság

Alacsony

Érintett rendszerek

OpenSSL
OpenSSL Software Foundation

Érintett verziók

OpenSSL 0.x, 1.x

Összefoglaló

Az OpenSSL egy olyan sérülékenységét jelentették, amelyet a támadók kihasználhatnak egyes biztonsági szabályok megkerülésére.

Leírás

A sérülékenységet az SSL/TLS szerver kódban az “SSL_OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG” workaround hibája okozza. Ez kihasználható pl. a munkafolyamat azonosító lehallgatására és a gyorsító tárban a titkosítás (ciphersuite) leminősítésére mielőtt a valódi kliens folytatja a munkafolyamatot. Ez gyengébb titkosítás használatához vezet.

A sérülékenység sikeres kihasználásának feltétele, hogy a szerver az OpenSSL belső gyorsító tárát használja és az “SSL_OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG jelzőt (pl. az “SSL_OP_ALL” opción keresztül engedélyezve legyen).

Megjegyzés: a 0.9.8j előtti verziók esetén a szerver oldali titkosítás le is tiltható.

A sérülékenységet a 0.9.8q vagy 1.0.0c előtti összes verzióban jelentették.

Megoldás

Frissítsen a legújabb verzióra